# Uses of Class
org.apache.lucene.search.ScoreDoc

Packages that use ScoreDoc
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of ScoreDoc in org.apache.lucene.search

  Classes in org.apache.lucene.search with type parameters of type ScoreDoc
  Modifier and Type
  Class
  Description
  `class`
  `TopDocsCollector<T extends ScoreDoc>`
  A base class for all collectors that return a `TopDocs` output.
  Subclasses of ScoreDoc in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `class`
  `FieldDoc`
  Expert: A ScoreDoc which also contains information about how to sort the referenced document.
  `static class`
  `FieldValueHitQueue.Entry`
  Extension of ScoreDoc to also store the `FieldComparator` slot.
  Fields in org.apache.lucene.search declared as ScoreDoc
  Modifier and Type
  Field
  Description
  `ScoreDoc[]`
  TopDocs.`scoreDocs`
  The top hits for the query.
  Fields in org.apache.lucene.search with type parameters of type ScoreDoc
  Modifier and Type
  Field
  Description
  `static final Comparator<ScoreDoc>`
  ScoreDoc.`COMPARATOR`
  Utility comparator that sorts by score descending, then by docId ascending
  Methods in org.apache.lucene.search with parameters of type ScoreDoc
  Modifier and Type
  Method
  Description
  `protected final boolean`
  HitQueue.`lessThan(ScoreDoc hitA, ScoreDoc hitB)`
  `protected TopDocs`
  TopDocsCollector.`newTopDocs(ScoreDoc[] results, int start)`
  Returns a `TopDocs` instance containing the given results.
  `protected TopDocs`
  TopFieldCollector.`newTopDocs(ScoreDoc[] results, int start)`
  `protected TopDocs`
  TopScoreDocCollector.`newTopDocs(ScoreDoc[] results, int start)`
  `protected void`
  TopDocsCollector.`populateResults(ScoreDoc[] results, int howMany)`
  Populates the results array with the ScoreDoc instances.
  `protected void`
  TopFieldCollector.`populateResults(ScoreDoc[] results, int howMany)`
  `protected void`
  TopScoreDocCollector.`populateResults(ScoreDoc[] results, int howMany)`
  `static void`
  TopFieldCollector.`populateScores(ScoreDoc[] topDocs, IndexSearcher searcher, Query query)`
  Populate `scores` of the given `topDocs`.
  `TopDocs`
  IndexSearcher.`searchAfter(ScoreDoc after, Query query, int numHits)`
  Finds the top `n` hits for `query` where all results are after a previous result (`after`).
  `TopDocs`
  IndexSearcher.`searchAfter(ScoreDoc after, Query query, int n, Sort sort)`
  Finds the top `n` hits for `query` where all results are after a previous result (`after`).
  `TopFieldDocs`
  IndexSearcher.`searchAfter(ScoreDoc after, Query query, int numHits, Sort sort, boolean doDocScores)`
  Finds the top `n` hits for `query` where all results are after a previous result (`after`), allowing control over whether hit scores and max score should be computed.
  Method parameters in org.apache.lucene.search with type arguments of type ScoreDoc
  Modifier and Type
  Method
  Description
  `static TopDocs`
  TopDocs.`merge(int start, int topN, TopDocs[] shardHits, Comparator<ScoreDoc> tieBreaker)`
  Same as above, but accepts the passed in tie breaker
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits, Comparator<ScoreDoc> tieBreaker)`
  Pass in a custom tie breaker for ordering results
  Constructors in org.apache.lucene.search with parameters of type ScoreDoc
  Modifier
  Constructor
  Description
  ``
  `TopDocs(TotalHits totalHits, ScoreDoc[] scoreDocs)`
  Constructs a TopDocs.
  ``
  `TopFieldDocs(TotalHits totalHits, ScoreDoc[] scoreDocs, SortField[] fields)`
  Creates one of these objects.
  ``
  `TopScoreDocCollectorManager(int numHits, ScoreDoc after, int totalHitsThreshold)`
  Creates a new `TopScoreDocCollectorManager` given the number of hits to collect and the number of hits to count accurately, with thread-safe internal states.
  ``
  `TopScoreDocCollectorManager(int numHits, ScoreDoc after, int totalHitsThreshold, boolean supportsConcurrency)`
  Deprecated.
  Use `TopScoreDocCollectorManager(int, ScoreDoc, int)`, the supportsConcurrency parameter is now a no-op.